%define python_sitelib %(%{__python2} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')

Name:       wammu
Version:    0.44
Release:    3%{?dist}
Summary:    Mobile Phone Manager - Gammu GUI

Group:      Applications/Communications
License:    GPL-2.0
URL:        http://wammu.eu/
Source0:    https://github.com/gammu/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python2-gammu >= 2.11
BuildRequires: wxPython-devel >= 2.6
%if 0%{?fedora}
BuildRequires: python2-six
BuildRequires: pybluez
%else
BuildRequires: python-six
%endif
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib
Requires: dbus-x11
Requires: gammu >= 1.3.90
Requires: python2-gammu >= 2.11
Requires: wxPython >= 2.6
%if 0%{?fedora}
Requires: python2-six
%else
Requires: python-six
%endif

%description
Wammu is mobile phone manager running on Linux,
Windows and possibly other platforms,where Gammu and wxPython works.
It works with any phone that Gammu supports, including many models from
Nokia, Siemens, and Alcatel. It has complete support (read, edit,
delete, copy) for contacts, todo, and calendar. It can read, save, and
send SMS. It includes an SMS composer for multi-part SMS messages, and
it can display SMS messages that include pictures. Currently, only text
and predefined bitmaps or sounds can be edited in the SMS composer. It
can export messages to an IMAP4 server (or other email storage).

This program does not support browsing files in phone, use gMobileMedia
instead.

Other features:
* sending files to phone (OBEX and Sony Ericsson phones only)
* support for backup and import in various formats (vCard, iCalendar,...)
* searching for phone
* translated into several languages
* rated as best on many software servers

%prep
%setup -q


%build
%py2_build

%install
%py2_install

desktop-file-install --vendor ""                \
        --dir %{buildroot}%{_datadir}/applications   \
        --mode 0644                 \
        --remove-category=Application           \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%if 0%{?fedora} > 23
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.appdata.xml
%endif

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README.* ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}-configure
%{_datadir}/Wammu
%{_datadir}/pixmaps/*
%{_datadir}/appdata/wammu.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*.1.gz
%lang(CZ) %{_mandir}/cs/man1/*.1.gz
%lang(DE) %{_mandir}/de/man1/*.1.gz
%lang(ES) %{_mandir}/es/man1/*.1.gz
%lang(FR) %{_mandir}/fr/man1/*.1.gz
%lang(IT) %{_mandir}/it/man1/*.1.gz
%lang(NL) %{_mandir}/nl/man1/*.1.gz
%lang(BR) %{_mandir}/pt_BR/man1/*.1.gz
%lang(RU) %{_mandir}/ru/man1/*.1.gz
%lang(SK) %{_mandir}/sk/man1/*.1.gz
%lang(DK) %{_mandir}/da/man1/*.1.gz
%lang(GB) %{_mandir}/en_GB/man1/*.1.gz
%lang(ET) %{_mandir}/et/man1/*.1.gz
%lang(HU) %{_mandir}/hu/man1/*.1.gz
%lang(ID) %{_mandir}/id/man1/*.1.gz
%lang(TR) %{_mandir}/tr/man1/*.1.gz
%lang(UK) %{_mandir}/uk/man1/*.1.gz
%lang(SV) %{_mandir}/sv/man1/*.1.gz
%{python2_sitelib}/Wammu
%{python2_sitelib}/%{name}-%{version}-py?.?.egg-info


%changelog
* Tue Jan 09 2018 Sérgio Basto <sergio@serjux.com> - 0.44-3
- BR python-six for compatibility on EPEL 7 and require explicity the same
  python-six

* Tue Jan 09 2018 Sérgio Basto <sergio@serjux.com> - 0.44-2
- BR python2-six only in Fedora to be compatibility with EPEL 7
- add BR python2-setuptools

* Sun Jan 07 2018 Sérgio Basto <sergio@serjux.com> - 0.44-1
- Update to 0.44 (#1531832)
- BR pybluez only in Fedora to be compatibility with EPEL 7
- Use license macro
- Add new man pages (SV)

* Sun Aug 20 2017 Sérgio Basto <sergio@serjux.com> - 0.43-1
- Update to 0.43 (#1404683)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.42-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.42-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Aug 28 2016 Sérgio Basto <sergio@serjux.com> - 0.42-1
- wammu 0.42

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.41-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue May 31 2016 Sérgio Basto <sergio@serjux.com> - 0.41-2
- Rebuild for gammu-1.37.3-2

* Wed May 25 2016 Sérgio Basto <sergio@serjux.com> - 0.41-1
- Update wammu to 0.41

* Fri Feb 05 2016 Sérgio Basto <sergio@serjux.com> - 0.40-3
- Fix github.com/gammu/wammu/issues/21 .
- Use python2 macros.

* Thu Nov 26 2015 Sérgio Basto <sergio@serjux.com> - 0.40-2
- Update spec from upstream .spec
- Add PyBluez support.
- Update AppData packaging (https://fedoraproject.org/wiki/Packaging:AppData)
- Fix License Tag.
- Use explicitly python2.
- Workaround rhbz #1285841 .

* Thu Nov 26 2015 Sérgio Basto <sergio@serjux.com> - 0.40-1
- Update wammu to 0.40

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 05 2015 Sérgio Basto <sergio@serjux.com> - 0.38-1
- New upstream release.

* Mon Nov 17 2014 Sérgio Basto <sergio@serjux.com> - 0.37-1
- New upstream release.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Sep 01 2013 Sérgio Basto <sergio@serjux.com> - 0.36-1
- Thu Sep 29 2011 Karel Volný <kvolny@redhat.com>
  - Update release.
  - Package localized manpages.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.30.1-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 29 2009 Xavier Lamien <lxtnow[at]gmail.com> - 0.30.1-1
- Update release.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.29-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.29-3
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.29-2
- Rebuild for Python 2.6

* Sun Oct 12 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.29-1
- Update release.

* Mon Aug 25 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.28-1
- Update release.

* Fri Apr 04 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.26-2
- Added missing files.

* Tue Mar 04 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.26-1
- Updated Release.

* Thu Jan 03 2008 Xavier Lamien < lxtnow[at]gmail.com > - 0.25-1
- Updated Release.

* Sun Oct 14 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.23-1
- Updated Release.

* Tue Jul 03 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.19-3
- Added additional Requires.

* Wed Jun 06 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.19-2
- Fixed mixed-use-of-spaces warning.

* Tue May 08 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.19-1
- Initial RPM Release.
